#!/bin/sh

flavor=console

set_settings_console() {
	keyring_packages=ubuntu-keyring
	linux_flavours=""
	tasks="standard"
	packages="linaro-ubuntu-desktop"
	packages_list=""
	bootstrap_flavour="minimal"
	distribution=oneiric
	hostname=linaro-ubuntu-desktop
	initramfs="none"
	brand="Linaro Ubuntu Evaluation Build"
	cache="disabled"
}

set_settings_$flavor

export LB_BOOTSTRAP_INCLUDE="apt-transport-https gnupg"
export LB_SYSLINUX_MENU_LIVE_ENTRY="Start $brand Live"

lb config \
        --archive-areas "main universe" \
        --bootstrap debootstrap \
        --bootstrap-flavour "$bootstrap_flavour" \
        --distribution "$distribution" \
        --mirror-bootstrap "http://ports.ubuntu.com/ubuntu-ports/" \
        --mirror-chroot "http://ports.ubuntu.com/ubuntu-ports/" \
        --mirror-chroot-security "http://ports.ubuntu.com/ubuntu-ports/" \
        --mirror-binary "http://ports.ubuntu.com/ubuntu-ports/" \
        --mirror-binary-security "http://ports.ubuntu.com/ubuntu-ports/" \
 \
        --cache $cache \
        --cache-stages "bootstrap" \
        --initramfs "$initramfs" \
        --mode ubuntu \
 \
        --keyring-packages "$keyring_packages" \
        --linux-flavours "$linux_flavours" \
        --tasks "$tasks" \
        --linux-packages "none" \
        --security true \
        --chroot-filesystem "none" \
 \
        --binary-images "tar" \
        --binary-filesystem ext3 \
        --username linaro \
        --debian-installer false \
        --debian-installer-gui false \
        --hostname "$hostname" \
        --iso-preparer 'live-build $VERSION; ppa:linaro-maintainers/overlay' \
        --iso-volume "Linaro $distribution \$(date +%Y%m%d-%H:%M)"

